<?php

namespace App\Filters;

class GroupGoodsFilter extends Filters
{
    protected function goodsName($value)
    {
        return $this->builder->where('goods_name', 'like', "%$value%");
    }

    protected function groupId($value)
    {
        return $this->builder->where('group_id', $value);
    }

    protected function externalSkuId($value)
    {
        return $this->builder->where('external_sku_id', $value);
    }
}
